'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (packageName, storageLocation) {
  var packageScope = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

  return new Promise(function (resolve) {
    var packageInfoLocation = void 0;
    if (packageScope) {
      packageInfoLocation = _path2.default.join(storageLocation, packageScope, packageName, 'package.json');
    } else {
      packageInfoLocation = _path2.default.join(storageLocation, packageName, 'package.json');
    }

    (0, _readJson2.default)(packageInfoLocation).then(function (data) {
      return resolve(data);
    });
  });
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _readJson = require('./read-json');

var _readJson2 = _interopRequireDefault(_readJson);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }