'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _safe = require('colors/safe');

var _safe2 = _interopRequireDefault(_safe);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _class = function () {
  function _class() {
    _classCallCheck(this, _class);

    _safe2.default.setTheme({
      info: 'green',
      warn: 'yellow',
      error: 'red',
      debug: 'blue'
    });
  }

  _createClass(_class, [{
    key: 'routerLogger',
    value: function routerLogger(req, res, next) {
      console.log("\nMETHOD:", req.method, ", URL:", decodeURIComponent(req.originalUrl));
      next();
    }
  }, {
    key: 'log',
    value: function log() {
      for (var _len = arguments.length, messages = Array(_len), _key = 0; _key < _len; _key++) {
        messages[_key] = arguments[_key];
      }

      messages.forEach(function (message) {
        console.log(message);
      });
    }
  }, {
    key: 'info',
    value: function info() {
      for (var _len2 = arguments.length, messages = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        messages[_key2] = arguments[_key2];
      }

      messages.forEach(function (message) {
        console.info(_safe2.default.info(message));
      });
    }
  }, {
    key: 'warn',
    value: function warn() {
      for (var _len3 = arguments.length, messages = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
        messages[_key3] = arguments[_key3];
      }

      messages.forEach(function (message) {
        console.warn(_safe2.default.warn(message));
      });
    }
  }, {
    key: 'error',
    value: function error() {
      for (var _len4 = arguments.length, messages = Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
        messages[_key4] = arguments[_key4];
      }

      messages.forEach(function (message) {
        console.error(_safe2.default.error(message));
      });
    }
  }, {
    key: 'debug',
    value: function debug() {
      for (var _len5 = arguments.length, messages = Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
        messages[_key5] = arguments[_key5];
      }

      messages.forEach(function (message) {
        console.debug(_safe2.default.debug(message));
      });
    }
  }]);

  return _class;
}();

exports.default = _class;